Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.mdc
Class Cadrat

    java.lang.Object
      org.kemet.mdc.Identification
          org.kemet.mdc.Cadrat

All Implemented Interfaces:
  java.io.Serializable

    public class Cadrat

extends Identification

Since:
  0.1
Author:
  fabricemaupin

  BEAN : definition of a cadrat.

See Also:
  Serialized Form

Nested Class Summary
`class` | `Cadrat.JustificationInformation`

Constructor Summary
`Cadrat()` instantiate the cadrat.

Method Summary
`boolean` | `add(java.lang.Object e)` add a sign.
`boolean` | `addJustification(java.lang.Object e)` add a justification.
`static void` | `clear()` clear instances list.
`static Cadrat` | `get(int index)` return cadrat from a index.
`static java.util.Vector` | `getInstanceList()` return instance list.
`Cadrat.JustificationInformation` | `getObject(int index)` return justification information from index.
`Cadrat` | `getRoot()` return the root.
`java.lang.String` | `getSign(int index)` return a sign from index.
`int` | `getType()` return the type.
`static boolean` | `isCadratsWithRoot()` determine if the cadrats contains sub-cadrats.
`static void` | `setObjectsIndex()` fix the index of all objects associated to cadrat instances.
`void` | `setRoot(Cadrat root)` fix the root.
`void` | `setType(int type)` fix the type.
`int` | `size()` return the size of sign list.

Methods inherited from class org.kemet.mdc.Identification
`getId, setId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cadrat

    public Cadrat()

  instantiate the cadrat.

  Since:
    0.1

Method Detail

### isCadratsWithRoot

    public static boolean isCadratsWithRoot()

  determine if the cadrats contains sub-cadrats.

  Returns:
    true / false
  Since:
    0.1

### setObjectsIndex

    public static void setObjectsIndex()

  fix the index of all objects associated to cadrat instances.

  Since:
    0.1

### add

    public boolean add(java.lang.Object e)

  add a sign.

  Returns:
    true / false
  Since:
    0.1

### addJustification

    public boolean addJustification(java.lang.Object e)

  add a justification.

  Parameters:
    `e` - justification
  Returns:
    true / false
  Since:
    0.&

### clear

    public static void clear()

  clear instances list.

  Since:
    0.1

### getInstanceList

    public static java.util.Vector getInstanceList()

  return instance list.

  Returns:
    instance list
  Since:
    0.1

### get

    public static Cadrat get(int index)

  return cadrat from a index.

  Parameters:
    `index` - cadrat index
  Returns:
    cadrat
  Since:
    0.1

### getObject

    public Cadrat.JustificationInformation getObject(int index)

  return justification information from index.

  Parameters:
    `index` - justification index
  Returns:
    justification information
  Since:
    0.1

### size

    public int size()

  return the size of sign list.

  Returns:
    size
  Since:
    0.1

### getSign

    public java.lang.String getSign(int index)

  return a sign from index.

  Parameters:
    `index` - sign index
  Returns:
    sign
  Since:
    0.1

### getType

    public int getType()

  return the type.

  Returns:
    type
  Since:
    0.1

### setType

    public void setType(int type)

  fix the type.

  Parameters:
    `type` - type to fix
  Since:
    0.1

### setRoot

    public void setRoot(Cadrat root)

  fix the root.

  Parameters:
    `root` - root to fix
  Since:
    0.1

### getRoot

    public Cadrat getRoot()

  return the root.

  Returns:
    root
  Since:
    0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.